org.jboss.netty.channel.local

## Class DefaultLocalClientChannelFactory

- java.lang.Object
- - org.jboss.netty.channel.local.DefaultLocalClientChannelFactory

All Implemented Interfaces:
  ChannelFactory, LocalClientChannelFactory, ExternalResourceReleasable

    public class DefaultLocalClientChannelFactory
    extends Object
    implements LocalClientChannelFactory

The default `LocalClientChannelFactory` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultLocalClientChannelFactory()` Creates a new instance.

### Method Summary

Methods
`LocalChannel` `newChannel(ChannelPipeline pipeline)` Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.
`void` `releaseExternalResources()` Does nothing because this implementation does not require any external resources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLocalClientChannelFactory

    public DefaultLocalClientChannelFactory()

Creates a new instance.

### Method Detail

#### newChannel

    public LocalChannel newChannel(ChannelPipeline pipeline)

Description copied from interface: `ChannelFactory`
Creates and opens a new `Channel` and attaches the specified `ChannelPipeline` to the new `Channel`.

Specified by:
  `newChannel` in interface `ChannelFactory`
Specified by:
  `newChannel` in interface `LocalClientChannelFactory`
Parameters:
  `pipeline` - the `ChannelPipeline` which is going to be attached to the new `Channel`
Returns:
  the newly open channel

#### releaseExternalResources

    public void releaseExternalResources()

Does nothing because this implementation does not require any external resources.

Specified by:
  `releaseExternalResources` in interface `ChannelFactory`
Specified by:
  `releaseExternalResources` in interface `ExternalResourceReleasable`